<xml> </xml>

db4o |

# ExtObjectContainer.Backup Method

backs up a database file of an open ObjectContainer.

void Backup(
string path
);

#### Parameters

path
  a fully qualified path

#### Remarks

backs up a database file of an open ObjectContainer.
While the backup is running, the ObjectContainer can continue to be used. Changes that are made while the backup is in progress, will be applied to the open ObjectContainer and to the backup.
While the backup is running, the ObjectContainer should not be closed.
If a file already exists at the specified path, it will be overwritten.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace